---
title: 'Randomization'
prev_page:
  url: /02/3/establishing-causality
  title: 'Establishing Causality'
next_page:
  url: /02/5/endnote
  title: 'Endnote'
comment: "***PROGRAMMATICALLY GENERATED, DO NOT EDIT. SEE ORIGINAL FILES IN /content***"
---
Randomization
--------------

An excellent way to avoid confounding is to assign individuals to the treatment
and control groups *at random*, and then administer the treatment to those who
were assigned to the treatment group. Randomization keeps the two groups similar
apart from the treatment.

If you are able to randomize individuals into the treatment and control groups,
you are running a *randomized controlled experiment*, also known as a
*randomized controlled trial* (RCT). Sometimes, people’s responses in an
experiment are influenced by their knowing which group they are in. So you might
want to run a *blind* experiment in which individuals do not know whether they
are in the treatment group or the control group. To make this work, you will
have to give the control group a *placebo*, which is something that looks
exactly like the treatment but in fact has no effect.

Randomized controlled experiments have long been a gold standard in the medical
field, for example in establishing whether a new drug works. They are also
becoming more commonly used in other fields such as economics.

**Example: Welfare subsidies in Mexico.** In Mexican villages in the 1990’s,
children in poor families were often not enrolled in school. One of the reasons
was that the older children could go to work and thus help support the family.
Santiago Levy , a minister in Mexican Ministry of Finance, set out to
investigate whether welfare programs could be used to increase school enrollment
and improve health conditions. He conducted an RCT on a set of villages,
selecting some of them at random to receive a new welfare program called
PROGRESA. The program gave money to poor families if their children went to
school regularly and the family used preventive health care. More money was
given if the children were in secondary school than in primary school, to
compensate for the children’s lost wages, and more money was given for girls
attending school than for boys. The remaining villages did not get this
treatment, and formed the control group. Because of the randomization, there
were no confounding factors and it was possible to establish that PROGRESA
increased school enrollment. For boys, the enrollment increased from 73% in the
control group to 77% in the PROGRESA group. For girls, the increase was even
greater, from 67% in the control group to almost 75% in the PROGRESA group. Due
to the success of this experiment, the Mexican government supported the program
under the new name OPORTUNIDADES, as an investment in a healthy and well
educated population.


In some situations it might not be possible to carry out a randomized controlled
experiment, even when the aim is to investigate causality. For example, suppose
you want to study the effects of alcohol consumption during pregnancy, and you
randomly assign some pregnant women to your “alcohol” group. You should not
expect cooperation from them if you present them with a drink. In such
situations you will almost invariably be conducting an observational study, not
an experiment. Be alert for confounding factors.
