Why Data Science?
=================

Most important decisions are made with only partial information and uncertain
outcomes. However, the degree of uncertainty for many decisions can be reduced
sharply by public access to large data sets and the computational tools
required to analyze them effectively. Data-driven decision making has already
transformed a tremendous breadth of industries, including finance, advertising,
manufacturing, and real estate. At the same time, a wide range of academic
disciplines are evolving rapidly to incorporate large-scale data analysis into
their theory and practice.

Studying data science enables individuals to bring these techniques to bear on
their work, their scientific endeavors, and their personal decisions. Critical
thinking has long been a hallmark of a rigorous education, but critiques are
often most effective when supported by data. A critical analysis of any aspect
of the world, may it be business or social science, involves inductive
reasoning; conclusions can rarely been proven outright, only supported by
the available evidence. Data science provides the means to make precise,
reliable, and quantitative arguments about any set of observations. With
unprecedented access to information and computing, critical thinking about
any aspect of the world that can be measured would be incomplete without
effective inferential techniques.

The world has too many unanswered questions and difficult challenges to leave
this critical reasoning to only a few specialists. All educated members of 
society can build the capacity to reason about data. The tools, techniques, 
and data sets are all readily available; this text aims to make them 
accessible to everyone.
