Endnote
-------

In the terminology of that we have developed, John Snow conducted an
observational study, not a randomized experiment. But he called his study a
“grand experiment” because, as he wrote, “No fewer than three hundred thousand
people … were divided into two groups without their choice, and in most cases,
without their knowledge …”

Studies such as Snow’s are sometimes called “natural experiments.” However, true
randomization does not simply mean that the treatment and control groups are
selected “without their choice.”

The method of randomization can be as simple as tossing a coin. It may also be
quite a bit more complex. But every method of randomization consists of a
sequence of carefully defined steps that allow chances to be specified
mathematically. This has two important consequences.

1. It allows us to account–mathematically–for the possibility that randomization
   produces treatment and control groups that are quite different from each
   other.

2. It allows us to make precise mathematical statements about differences
   between the treatment and control groups. This in turn helps us make
   justifiable conclusions about whether the treatment has any effect.


In this course, you will learn how to conduct and analyze your own randomized
experiments. That will involve more detail than has been presented in this
section. For now, just focus on the main idea: to try to establish causality,
run a randomized controlled experiment if possible. If you are conducting an
observational study, you might be able to establish association but not
causation. Be extremely careful about confounding factors before making
conclusions about causality based on an observational study.

**Terminology**

* observational study
* treatment
* outcome
* association
* causal association
* causality
* comparison
* treatment group
* control group
* epidemiology
* confounding
* randomization
* randomized controlled experiment
* randomized controlled trial (RCT)
* blind
* placebo

**Fun facts**

1. John Snow is sometimes called the father of epidemiology, but he was an
   anesthesiologist by profession. One of his patients was Queen Victoria, who
   was an early recipient of anesthetics during childbirth.

2. Florence Nightingale, the originator of modern nursing practices and famous
   for her work in the Crimean War, was a die-hard miasmatist. She had no time
   for theories about contagion and germs, and was not one for mincing her
   words. “There is no end to the absurdities connected with this doctrine,” she
   said. “Suffice it to say that in the ordinary sense of the word, there is no
   proof such as would be admitted in any scientific enquiry that there is any
   such thing as contagion.”

3. A later RCT established that the conditions on which PROGRESA insisted –
   children going to school, preventive health care – were not necessary to
   achieve increased enrollment. Just the financial boost of the welfare
   payments was sufficient.


**Good reads**

[*The Strange Case of the Broad Street Pump: John Snow and the Mystery of
Cholera*](http://www.ucpress.edu/book.php?isbn=9780520250499) by Sandra Hempel,
published by our own University of California Press, reads like a whodunit. It
was one of the main sources for this section's account of John Snow and his
work. A word of warning: some of the contents of the book are stomach-churning.

[*Poor Economics*](http://www.pooreconomics.com), the best seller by Abhijit V.
Banerjee and Esther Duflo of MIT, is an accessible and lively account of ways to
fight global poverty. It includes numerous examples of RCTs, including the
PROGRESA example in this section.
